var search_data = {"index":{"searchIndex":["webhooksystem","baseevent","decodingerror","encoder","eventlog","job","errorresponse","requestfailed","payload","subscription","subscriptiontopic","account_info()","as_json()","body()","build_client()","build_request()","call_inline()","construct()","content_type_for_format()","content_type_format_map()","decode()","decode()","decode_aes()","dispatch()","dispatch()","each_attribute()","encode()","encode()","encode_aes()","ensure_success()","event_name()","format_for_content_type()","format_for_subscription()","headers()","hub_signature()","key_from_secret()","key_is_reserved?()","log_response()","new()","new()","new()","payload_attributes()","perform()","post()","status()","topic_names()","topic_names=()","url_domain()","validate_attribute_name()","with_caller_backtrace()"],"longSearchIndex":["webhooksystem","webhooksystem::baseevent","webhooksystem::decodingerror","webhooksystem::encoder","webhooksystem::eventlog","webhooksystem::job","webhooksystem::job::errorresponse","webhooksystem::job::requestfailed","webhooksystem::payload","webhooksystem::subscription","webhooksystem::subscriptiontopic","webhooksystem::subscription#account_info()","webhooksystem::baseevent#as_json()","webhooksystem::job::errorresponse#body()","webhooksystem::job::build_client()","webhooksystem::job::build_request()","webhooksystem::job::call_inline()","webhooksystem::eventlog::construct()","webhooksystem::encoder::content_type_for_format()","webhooksystem::encoder::content_type_format_map()","webhooksystem::encoder::decode()","webhooksystem::payload::decode()","webhooksystem::payload::decode_aes()","webhooksystem::baseevent::dispatch()","webhooksystem::subscription::dispatch()","webhooksystem::baseevent#each_attribute()","webhooksystem::encoder::encode()","webhooksystem::payload::encode()","webhooksystem::payload::encode_aes()","webhooksystem::job::ensure_success()","webhooksystem::baseevent#event_name()","webhooksystem::encoder::format_for_content_type()","webhooksystem::job::format_for_subscription()","webhooksystem::job::errorresponse#headers()","webhooksystem::encoder::hub_signature()","webhooksystem::payload::key_from_secret()","webhooksystem::baseevent::key_is_reserved?()","webhooksystem::job::log_response()","webhooksystem::baseevent::new()","webhooksystem::job::errorresponse::new()","webhooksystem::job::requestfailed::new()","webhooksystem::baseevent#payload_attributes()","webhooksystem::job#perform()","webhooksystem::job::post()","webhooksystem::job::errorresponse#status()","webhooksystem::subscription#topic_names()","webhooksystem::subscription#topic_names=()","webhooksystem::subscription#url_domain()","webhooksystem::baseevent#validate_attribute_name()","webhooksystem::baseevent#with_caller_backtrace()"],"info":[["WebhookSystem","","WebhookSystem.html","",""],["WebhookSystem::BaseEvent","","WebhookSystem/BaseEvent.html","","<p>This is the class meant to be used as the base class for any Events sent through the Webhook system\n"],["WebhookSystem::DecodingError","","WebhookSystem/DecodingError.html","","<p>Error raised when there is an issue with decoding the payload\n"],["WebhookSystem::Encoder","","WebhookSystem/Encoder.html","","<p>Class in charge of encoding and decoding encrypted payload\n"],["WebhookSystem::EventLog","","WebhookSystem/EventLog.html","","<p>This is the model holding on to all webhook responses\n"],["WebhookSystem::Job","","WebhookSystem/Job.html","","<p>This is the ActiveJob in charge of actually sending each event\n"],["WebhookSystem::Job::ErrorResponse","","WebhookSystem/Job/ErrorResponse.html","","<p>Represents response for an exception we get when doing Faraday http call\n"],["WebhookSystem::Job::RequestFailed","","WebhookSystem/Job/RequestFailed.html","","<p>Exception class around non 200 responses\n"],["WebhookSystem::Payload","","WebhookSystem/Payload.html","",""],["WebhookSystem::Subscription","","WebhookSystem/Subscription.html","","<p>This is the model encompassing the actual record of a webhook subscription\n"],["WebhookSystem::SubscriptionTopic","","WebhookSystem/SubscriptionTopic.html","",""],["account_info","WebhookSystem::Subscription","WebhookSystem/Subscription.html#method-i-account_info","()",""],["as_json","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-as_json","()",""],["body","WebhookSystem::Job::ErrorResponse","WebhookSystem/Job/ErrorResponse.html#method-i-body","()",""],["build_client","WebhookSystem::Job","WebhookSystem/Job.html#method-c-build_client","()",""],["build_request","WebhookSystem::Job","WebhookSystem/Job.html#method-c-build_request","(client, subscription, event)",""],["call_inline","WebhookSystem::Job","WebhookSystem/Job.html#method-c-call_inline","(job_name, subscription, event)",""],["construct","WebhookSystem::EventLog","WebhookSystem/EventLog.html#method-c-construct","(subscription, event, request, response)",""],["content_type_for_format","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-content_type_for_format","(format)",""],["content_type_format_map","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-content_type_format_map","()",""],["decode","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-decode","(secret_string, payload_string, headers = {})","<p>Given a secret string, and an encrypted payload, unwrap it, bas64 decode it decrypt it, and JSON decode …\n"],["decode","WebhookSystem::Payload","WebhookSystem/Payload.html#method-c-decode","(response_body, secret:, format:)",""],["decode_aes","WebhookSystem::Payload","WebhookSystem/Payload.html#method-c-decode_aes","(payload, secret)",""],["dispatch","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-c-dispatch","(args)",""],["dispatch","WebhookSystem::Subscription","WebhookSystem/Subscription.html#method-c-dispatch","(event)","<p>Main invocation point for dispatching events, can either be called on the class or on a relation (ie …\n"],["each_attribute","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-each_attribute","(&block)",""],["encode","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-encode","(secret_string, payload, format:)","<p>Given a secret string, encode the passed payload to json encrypt it, base64 encode that, and wrap it …\n"],["encode","WebhookSystem::Payload","WebhookSystem/Payload.html#method-c-encode","(payload, secret:, format:)",""],["encode_aes","WebhookSystem::Payload","WebhookSystem/Payload.html#method-c-encode_aes","(payload, secret)",""],["ensure_success","WebhookSystem::Job","WebhookSystem/Job.html#method-c-ensure_success","(response, http_method, subscription)",""],["event_name","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-event_name","()",""],["format_for_content_type","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-format_for_content_type","(content_type)",""],["format_for_subscription","WebhookSystem::Job","WebhookSystem/Job.html#method-c-format_for_subscription","(subscription)",""],["headers","WebhookSystem::Job::ErrorResponse","WebhookSystem/Job/ErrorResponse.html#method-i-headers","()",""],["hub_signature","WebhookSystem::Encoder","WebhookSystem/Encoder.html#method-c-hub_signature","(payload_string, secret)",""],["key_from_secret","WebhookSystem::Payload","WebhookSystem/Payload.html#method-c-key_from_secret","(iv, secret_string)",""],["key_is_reserved?","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-c-key_is_reserved-3F","(key)",""],["log_response","WebhookSystem::Job","WebhookSystem/Job.html#method-c-log_response","(subscription, event, request, response)",""],["new","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-c-new","(*args, &block)",""],["new","WebhookSystem::Job::ErrorResponse","WebhookSystem/Job/ErrorResponse.html#method-c-new","(exception)",""],["new","WebhookSystem::Job::RequestFailed","WebhookSystem/Job/RequestFailed.html#method-c-new","(message, code, error_message = nil)",""],["payload_attributes","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-payload_attributes","()",""],["perform","WebhookSystem::Job","WebhookSystem/Job.html#method-i-perform","(subscription, event)",""],["post","WebhookSystem::Job","WebhookSystem/Job.html#method-c-post","(subscription, event)",""],["status","WebhookSystem::Job::ErrorResponse","WebhookSystem/Job/ErrorResponse.html#method-i-status","()",""],["topic_names","WebhookSystem::Subscription","WebhookSystem/Subscription.html#method-i-topic_names","()","<p>Abstraction around the topics relation, returns an array of the subscribed topic names\n"],["topic_names=","WebhookSystem::Subscription","WebhookSystem/Subscription.html#method-i-topic_names-3D","(new_topics)","<p>Abstraction around the topics relation, sets the topic names, requires save to take effect\n"],["url_domain","WebhookSystem::Subscription","WebhookSystem/Subscription.html#method-i-url_domain","()","<p>Just a helper to get a nice representation of the subscription\n"],["validate_attribute_name","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-validate_attribute_name","(key)",""],["with_caller_backtrace","WebhookSystem::BaseEvent","WebhookSystem/BaseEvent.html#method-i-with_caller_backtrace","(exception, backtrack = 2)",""]]}}